scala ide 4.5 找不到或无法加载主类

  1. 云栖社区>
  2. 博客>
  3. 正文

scala ide 4.5 找不到或无法加载主类

cjsoldier 2017-03-12 16:50:40 浏览2533
展开阅读全文

我从官网下载最新版本的scala ide4.5。官网明确说明内嵌了scala2.11.8和2.10.6。
创建scala工程,使用默认的2.11.8没问题。我把scala的版本从2.11.8切换到2.10.6之后总之报
“找不到或无法加载主类”。
这个应该是4.5版本的bug。折腾了我两天。
注意4.5版本用的是eclipse neon版,要求Jdk1.8。如果你只需要开发scala2.11.8用这个版本是可以的。
但是如果是维护以前的项目,用的scala版本比较低还是别用4.5了。

没办法我只能用eclipse mars版,然后从官网下载上一个版本的scala插件。
在这里下载上个版本的scala插件4.4.1 Release for Scala 2.11.8

解压后将base文件夹拷贝到eclipse/dropins文件夹下,重启eclipse即可。新版的eclipse离线安装插件只需要把插件放在dropins文件夹即可,很方便。据我所知,mars和最新的neon版本都是支持的。

重启eclipse后按如下操作:
这里写图片描述
这里写图片描述
这里写图片描述
这里写图片描述
这里写图片描述

然后创建工程:
这里写图片描述
把默认的scala版本改为2.10.6
这里写图片描述
这里写图片描述

测试:
这里写图片描述

网友评论

登录后评论
0/500
评论